Bug 63319 - ArrayIndexOutOfBoundsException in Aggregate Graph when selecting 90% or 95% columns
Summary: ArrayIndexOutOfBoundsException in Aggregate Graph when selecting 90% or 95% c...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.1.1
Hardware: PC Linux
: P2 regression (vote)
Target Milestone: JMETER_5.2
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2019-04-05 13:30 UTC by Renaud Michel
Modified: 2019-05-13 07:18 UTC (History)
0 users



Attachments
exception from jmeter.log (3.87 KB, text/plain)
2019-04-05 13:30 UTC, Renaud Michel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Renaud Michel 2019-04-05 13:30:56 UTC
Created attachment 36510 [details]
exception from jmeter.log

Using jmeter 5.1.1 and the Aggregate Graph listener, if I select the columns for "90% line" or "95% line", I get an ArrayIndexOutOfBoundsException, see attached file with full stacktrace.
The other columns work file.

This may be related to bug 62770
Comment 1 Felix Schumacher 2019-05-11 17:15:21 UTC
Fixed in trunk and will be released with next version of JMeter, which is probably 5.2.

@Renaud could you test, if it really fixes your problem. 

Date: Sat May 11 17:12:15 2019
New Revision: 1859118

URL: http://svn.apache.org/viewvc?rev=1859118&view=rev
Log:
ArrayIndexOutOfBoundsException in Aggregate Graph when selecting 90% or 95% columns

The labels for the graph models need other parameters than those for the table.

Bugzilla Id: 63319


Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SamplerResultTab.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatGraphVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatVisualizer.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SummaryReport.java
    jmeter/trunk/xdocs/changes.xml
Comment 2 Felix Schumacher 2019-05-11 20:41:46 UTC
Date: Sat May 11 18:29:45 2019
New Revision: 1859120

URL: http://svn.apache.org/viewvc?rev=1859120&view=rev
Log:
Make checkstyle happy

Remove unused imports which accidently got added while working on Bug 63319
Shorten line length which got a bit out of hand while working on the same bug.

Bugzilla Id: 63319
Followup to 1859118

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/SamplerResultTab.java
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/StatVisualizer.java
Comment 3 Renaud Michel 2019-05-13 07:18:05 UTC
Yes, I tried the latest nightly build (r1859157) and all the columns of the aggregate graph now work.
Thank you